%define prel	beta7
%define rel	14

Name:           tcptraceroute
Summary:        Traceroute implementation using TCP packets
Version:	1.5
Release:	%mkrel 1.%{prel}.%{rel}
Source:		http://michael.toren.net/code/tcptraceroute/%{name}-%{version}%{prel}.tar.gz
URL:		http://michael.toren.net/code/tcptraceroute/
Group:		Networking/Other
License:	GPL
BuildRequires:	libpcap-devel >= 0.9.5
BuildRequires:	net-devel >= 1.1.3

%description
The more traditional traceroute(8) sends out either UDP or ICMP ECHO
packets with a TTL of one, and increments the TTL until the destination
has been reached. By printing the gateways that generate ICMP time
exceeded messages along the way, it is able to determine the path packets
are taking to reach the destination.

The problem is that with the widespread use of firewalls on the modern
Internet, many of the packets that traceroute(8) sends out end up being
filtered, making it impossible to completely trace the path to the
destination. However, in many cases, these firewalls will permit inbound
TCP packets to specific ports that hosts sitting behind the firewall are
listening for connections on. By sending out TCP SYN packets instead of
UDP or ICMP ECHO packets, tcptraceroute is able to bypass the most common
firewall filters.

%prep
%setup -qn %{name}-%{version}%{prel}

%build
# fix build on aarch64
autoreconf -vfi

%configure \
    --bindir=%{_sbindir}
%make_build

%install
%make_install

%files
%doc %{_datadir}/doc/tcptraceroute/*
%{_sbindir}/tcptraceroute
%{_mandir}/man1/tcptraceroute.1*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.5-1.beta7.14.mga10
+ Revision: 2212100
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 1.5-1.beta7.13.mga9
+ Revision: 1830977
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.5-1.beta7.12.mga8
+ Revision: 1517404
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.5-1.beta7.11.mga7
+ Revision: 1301345
- Mageia 7 Mass Rebuild

* Mon Jul 09 2018 wally <wally> 1.5-1.beta7.10.mga7
+ Revision: 1242800
- fix build on aarch64

* Sat Jan 30 2016 umeabot <umeabot> 1.5-1.beta7.9.mga6
+ Revision: 929084
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.5-1.beta7.8.mga5
+ Revision: 751214
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.5-1.beta7.7.mga5
+ Revision: 730532
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.5-0.beta7.7.mga5
+ Revision: 689757
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.5-0.beta7.6.mga4
+ Revision: 519509
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.5-0.beta7.5.mga3
+ Revision: 384187
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Apr 07 2011 ennael <ennael> 1.5-0.beta7.4.mga1
+ Revision: 81685
- clean spec file
+ kharec <kharec>
- imported package tcptraceroute


* Thu Jun 04 2009 Oden Eriksson <oeriksson@mandriva.com> 1.5-0.beta7.4mdv2010.0
+ Revision: 382702
- rebuilt against libnet 1.1.3

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 1.5-0.beta7.3mdv2009.1
+ Revision: 298418
- rebuilt against libpcap-1.0.0

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.5-0.beta7.2mdv2008.1
+ Revision: 170575
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 1.5-0.beta7.2mdv2008.0
+ Revision: 79143
- rebuild


* Wed Jan 17 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.5-0.beta7.1mdv2007.0
+ Revision: 109797
- Import tcptraceroute

